# List All Live Entities

## /v1/live\_entities

<mark style="color:blue;">`GET`</mark> `https://api.uiza.sh/v1/live_entities`

#### Query Parameters

| Name        | Type   | Description                                                     |
| ----------- | ------ | --------------------------------------------------------------- |
| page\_size  | number | The maximum number of objects to be returned, between 1 and 20. |
| page\_token | string | The pagination cursor of the result page to be retrieved.       |

{% tabs %}
{% tab title="200 " %}

```
{
  "data": [
    {
      "id": "22013d8a-d5fa-48f0-9a63-1f471ca9e81d",
      "name": "Demo app 1",
      "description": "Demo application for documentation",
      "dvr": true,
      "encode": true,
      "ingest": {
        "url": "rtmp://f45dd07a0e-in.uizadev.io/transcode",
        "key": "live_TB62vHgxSY"
      },
      "playback": {
        "hls": "https://f45dd07a0e.uizadev.io/fmp4/22013d8a-d5fa-48f0-9a63-1f471ca9e81d/master.m3u8"
      },
      "preset": {
        "id": "3693d866-1577-48f4-a97c-6e15765ba0fe",
        "name": "Primary Preset",
        "description": "",
        "profiles": [
          {
            "id": "aaa",
            "name": "360p",
            "segment_duration": 6,
            "orientation": "portrait",
            "video_profile": {
              "video_resolution": "360",
              "video_codec": "h264",
              "video_bitrate": "1024K",
              "video_frame_rate": "30"
            },
            "audio_profile": {
              "audio_channel": "2",
              "audio_codec": "aac",
              "audio_bitrate": "96K",
              "audio_frame_rate": "12"
            }
          }
        ],
        "created_at": "2020-02-28T01:32:31Z",
        "updated_at": "2020-02-29T17:09:15Z"
      },
      "region": "in-mumbai-1",
      "relay": [
        {
          "url": "rtmp://youtu.be/live",
          "key": "Abco1"
        }
      ],
      "status": "ready",
      "created_at": "2020-03-10T03:20:37.202Z",
      "updated_at": "2020-03-10T03:20:37.202Z"
    }
  ],
  "next_page_token": "eyJjcmVhdGVkX2F0IjoxNTc2MDA4NjkxMDAwLCJpZCI6IjAwNzVmZjcyLWE0ODYtNDg0Ni05Y2NjLWY1ZWU4YTA0MmQ0NSJ9",
  "prev_page_token": null
}
```

{% endtab %}

{% tab title="401 " %}

```
{
 "message": "You are unauthorized to access the requested resource. Please verify and resubmit.",
 "error_type": "invalid_request_error"
}
```

{% endtab %}

{% tab title="500 " %}

```
{
 "message": "An unexpected error occurred on Uiza's end.",
 "error_type": "api_error"
}
```

{% endtab %}
{% endtabs %}

{% code title="Sample Request" %}

```
curl -X GET https://api.uiza.sh/v1/live_entities 
    -H 'Accept: */*' 
    -H 'Authorization: uap-c1ffbff4db954ddcb050c6af0b43ba56-41193b64' 
    -H 'Cache-Control: no-cache' 
    -H 'Connection: keep-alive'
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.uiza.io/2020-05-07-1/api-reference/live-entities/list-all-live-entities.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
